CVE-2018-18505 log

Source
Severity High
Remote No
Type Privilege escalation
Description
A privilege escalation issue has been found in Firefox < 65.0. An earlier fix for an Inter-process Communication (IPC) vulnerability, CVE-2011-3079, added authentication to communication between IPC endpoints and server parents during IPC process creation. This authentication is insufficient for channels created after the IPC process is started, leading to the authentication not being correctly applied to later channels. This could allow for a sandbox escape through IPC channels due to lack of message validation in the listener process.
Group Package Affected Fixed Severity Status Ticket
AVG-862 firefox 64.0.2-1 65.0-1 Critical Fixed
Date Advisory Group Package Severity Description
06 Feb 2019 ASA-201902-2 AVG-862 firefox Critical multiple issues
References
https://www.mozilla.org/en-US/security/advisories/mfsa2019-01/#CVE-2018-18505
https://bugzilla.mozilla.org/show_bug.cgi?id=1497749